.recent-post-single {
  display: flex;
  width: 100%;
  padding: 2px;
  font-family: Montserrat-Light;

  &:not(:last-child) {
    margin-bottom: 5px;
  }

  .recent-post-single__img {
    display: inline-flex;
  }

  img {
    max-width: 54px;
    max-height: 55px;
    border-radius: 4px;
  }

  .recent-post-single__links {
    display: flex;
    flex-direction: column;
    margin-top: 3.5px;
    margin-left: 5.55px;
  }

  .recent-post-single__title {
    font-size: 16px;
    text-transform: capitalize;
    color: #cccccc;
  }

  .recent-post-single__category {
    align-self: flex-start;
    margin-top: 2px;
    padding: 1.6px 6px;
    border-radius: 4px;
    background-color: #54d154;
    font-size: 12.6px;
    text-transform: uppercase;
    color: #fff;
    transition: 1s ease;
    transition-property: background-color;

    &:hover {
      background-color: darken(#54d154, 15%);
    }

    &.recent-post-single__category--ui-design {
      background-color: #ffba00;

      &:hover {
        background-color: darken(#ffba00, 15%);
      }
    }

    &.recent-post-single__category--photography {
      background-color: #089dea;

      &:hover {
        background-color: darken(#089dea, 15%);
      }
    }

    &.recent-post-single__category--book {
      background-color: #f34d04;

      &:hover {
        background-color: darken(#f34d04, 15%);
      }
    }
  }
}


/*

<div class="recent-post-single">
  <a href="#" class="recent-post-single__img"><img src="images/srp-1.png" alt="image"></a>
  <div class="recent-post-single__links">
    <a href="#" class="recent-post-single__title">Lorem ipsum dolor sit amet.</a>
    <a href="#" class="recent-post-single__category">magazine</a>
  </div>
</div>
*/
